
From: Andrew Morton <akpm@osdl.org>

Cannot refer to __exit from within __init.

Cc: Dmitry Torokhov <dtor_core@ameritech.net>
Cc: Vojtech Pavlik <vojtech@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/input.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/input.c~input-section-fix drivers/input/input.c
--- 25-alpha/drivers/input/input.c~input-section-fix	2005-07-01 02:03:28.000000000 -0700
+++ 25-alpha-akpm/drivers/input/input.c	2005-07-01 02:03:32.000000000 -0700
@@ -581,7 +581,7 @@ static int __init input_proc_init(void)
 	return -ENOMEM;
 }
 
-static void __exit input_proc_exit(void)
+static void input_proc_exit(void)
 {
 	remove_proc_entry("devices", proc_bus_input_dir);
 	remove_proc_entry("handlers", proc_bus_input_dir);
_
